All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.metadata
Class OMRDatabaseServer

    com.sas.services.information.metadata.OMRDatabaseServer

All Implemented Interfaces:
  MetadataInterface, ServerComponentInterface, ServerInterface, SoftwareComponentInterface, PublicObjectInterface, com.sas.storage.editableproperties.SubstitutionProperties, java.io.Serializable, java.rmi.Remote

    public class OMRDatabaseServer

This is a smart object for database servers.

See Also:
  Serialized Form

Field Summary
`static com.sas.util.UsageVersion` | `CURRENT_VERSION`
`static com.sas.util.UsageVersion` | `OLDEST_VERSION`

Fields inherited from class com.sas.services.information.metadata.Metadata
`_actionInterfaces, _children, _isCompatible, _isDestroyPending, _isReadCompatible, _myRefreshInterval, _myState, _omrCreateDate, _omrModifyDate, _repository, _repositoryFlag, _repositoryObject, _treeRefreshTime, formats, gmtZone, OMSOBJ_STRING, REPOSITORY_DAV, REPOSITORY_LOMR, REPOSITORY_NONE, REPOSITORY_OMR, SLASH`

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Constructor Summary
`` | `OMRDatabaseServer()`
`protected` | `OMRDatabaseServer(java.lang.Class theClass)`
`` | `OMRDatabaseServer(RepositoryInterface repos, java.lang.String name, FolderInterface parent)`
`protected` | `OMRDatabaseServer(RepositoryInterface repos, java.lang.String name, FolderInterface parent, java.lang.Class theClass)`
`` | `OMRDatabaseServer(com.sas.metadata.remote.ServerComponent o)`
`protected` | `OMRDatabaseServer(com.sas.metadata.remote.ServerComponent o, java.lang.Class theClass)`
`` | `OMRDatabaseServer(com.sas.metadata.remote.impl.ServerComponentImpl_Stub o)`
`protected` | `OMRDatabaseServer(com.sas.metadata.remote.impl.ServerComponentImpl_Stub o, java.lang.Class theClass)`
`` | `OMRDatabaseServer(com.sas.metadata.remote.impl.ServerComponentImpl o)`
`protected` | `OMRDatabaseServer(com.sas.metadata.remote.impl.ServerComponentImpl o, java.lang.Class theClass)`

Method Summary
`com.sas.storage.editableproperties.PropertyList` | `getSubstitutionProperties()`
`void` | `setSubstitutionProperties(com.sas.storage.editableproperties.PropertyMap map)`

Methods inherited from class com.sas.services.information.metadata.Metadata
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addProcessorInterface, addPrompt, addPropertySet, addRemark, addResponsibleParty, addToList, addTransactionListener, addUsedByPrototype, checkin, checkout, checkPulse, clearInformationService, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, deleteRootObject, destroy, fromByteArray, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getContainer, getCreateDate, getCreatedBy, getDefaultLocalizableProperties, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentifier, getIdentities, getImplementors, getInformationService, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getName, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getObjectURI, getParent, getParentPath, getParents, getPath, getPaths, getPathUrl, getPathUrl, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getProcessorInterface, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getTreeRefresh, getTypeDescriptor, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, hashCode, isAuthorized, isCompatible, isConnectionException, isDeleted, isDestroyed, isLoggingEnabled, isLoggingEnabled, isObjectAlive, isReadCompatible, logFormat, logFormat, logFormat, logFormat, logFormat, logFormat, logFormat, logFormat, logMessage, logMessage, logMessage, logMessage, logThrowable, logThrowable, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, notifyTransactionListeners, refresh, removeAccessControl, removeDocument, removeExtension, removeFromList, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, reset, rollback, setAttribute, setAttributes, setCompatibility, setDefaultLocalizableProperties, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setTreeRefresh, setUsingPrototype, startTransaction, toByteArray, toString, transactionEvent, uncheckout, update, updateFromBag, validateNameAndFolder, validateNameAndFolder, version`

Methods inherited from interface com.sas.services.information.metadata.ServerInterface
`addComputeTask, addDataPackage, addProperty, addServed, addServer, addServiceType, addSourceConnection, getApplicationProtocol, getClassIdentifier, getComputeTasks, getConnectionProperties, getDataPackages, getDescriptiveComponent, getDomains, getHost, getInstallationLocation, getIsLicensed, getMachine, getPlatform, getProperties, getProperties, getProperty, getServed, getServers, getServiceTypeObjects, getServiceTypes, getSourceConnections, getTcpPort, removeComputeTask, removeDataPackage, removeProperty, removeServed, removeServer, removeServiceType, removeSourceConnection, setApplicationProtocol, setClassIdentifier, setHost, setInstallationLocation, setIsLicensed, setMachine, setPlatform, setTcpPort`

Methods inherited from interface com.sas.services.information.metadata.SoftwareComponentInterface
`addDeployedComponent, addPropertyGroup, addSoftwareGroup, addSoftwareTree, getDependentComponents, getDependsOnComponents, getDeployedComponents, getImplementedObjects, getMajor, getMinor, getPrivateConfigurableProperties, getProductIdentifier, getProductName, getPropertyGroups, getPublicConfigurableProperties, getSoftwareComponentAttributes, getSoftwareGroups, getSoftwareTrees, getSoftwareVersion, getSpecVendor, getSpecVersion, getVendor, getVendorIdentifier, removeDeployedComponent, removePropertyGroup, removeSoftwareGroup, removeSoftwareTree, setDeployedComponents, setImplementedObjects, setMajor, setMinor, setProductIdentifier, setProductName, setPropertyGroups, setSoftwareComponentAttributes, setSoftwareGroups, setSoftwareTrees, setSoftwareVersion, setSpecVendor, setSpecVersion, setVendor, setVendorIdentifier`

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Field Detail

### OLDEST_VERSION

    public static final com.sas.util.UsageVersion OLDEST_VERSION

### CURRENT_VERSION

    public static final com.sas.util.UsageVersion CURRENT_VERSION

Constructor Detail

### OMRDatabaseServer

    public OMRDatabaseServer()
                      throws java.rmi.RemoteException

Throws:
  `java.rmi.RemoteException`

### OMRDatabaseServer

    public OMRDatabaseServer(com.sas.metadata.remote.ServerComponent o)
                      throws java.rmi.RemoteException

Throws:
  `java.rmi.RemoteException`

### OMRDatabaseServer

    public OMRDatabaseServer(com.sas.metadata.remote.impl.ServerComponentImpl o)
                      throws java.rmi.RemoteException

Throws:
  `java.rmi.RemoteException`

### OMRDatabaseServer

    public OMRDatabaseServer(com.sas.metadata.remote.impl.ServerComponentImpl_Stub o)
                      throws java.rmi.RemoteException

Throws:
  `java.rmi.RemoteException`

### OMRDatabaseServer

    public OMRDatabaseServer(RepositoryInterface repos,
                             java.lang.String name,
                             FolderInterface parent)
                      throws java.rmi.RemoteException

Throws:
  `java.rmi.RemoteException`

### OMRDatabaseServer

    protected OMRDatabaseServer(java.lang.Class theClass)
                         throws java.rmi.RemoteException

Throws:
  `java.rmi.RemoteException`

### OMRDatabaseServer

    protected OMRDatabaseServer(com.sas.metadata.remote.ServerComponent o,
                                java.lang.Class theClass)
                         throws java.rmi.RemoteException

Throws:
  `java.rmi.RemoteException`

### OMRDatabaseServer

    protected OMRDatabaseServer(com.sas.metadata.remote.impl.ServerComponentImpl o,
                                java.lang.Class theClass)
                         throws java.rmi.RemoteException

Throws:
  `java.rmi.RemoteException`

### OMRDatabaseServer

    protected OMRDatabaseServer(com.sas.metadata.remote.impl.ServerComponentImpl_Stub o,
                                java.lang.Class theClass)
                         throws java.rmi.RemoteException

Throws:
  `java.rmi.RemoteException`

### OMRDatabaseServer

    protected OMRDatabaseServer(RepositoryInterface repos,
                                java.lang.String name,
                                FolderInterface parent,
                                java.lang.Class theClass)
                         throws java.rmi.RemoteException

Throws:
  `java.rmi.RemoteException`

Method Detail

### getSubstitutionProperties

    public com.sas.storage.editableproperties.PropertyList getSubstitutionProperties()

  Specified by:
    `getSubstitutionProperties` in interface `com.sas.storage.editableproperties.SubstitutionProperties`
  Overrides:
    `getSubstitutionProperties` in class `com.sas.services.information.metadata.OMRServerComponent`

### setSubstitutionProperties

    public void setSubstitutionProperties(com.sas.storage.editableproperties.PropertyMap map)
                                   throws com.sas.storage.editableproperties.UnexpectedSubstitutionException

  Specified by:
    `setSubstitutionProperties` in interface `com.sas.storage.editableproperties.SubstitutionProperties`
  Overrides:
    `setSubstitutionProperties` in class `com.sas.services.information.metadata.OMRServerComponent`
  Throws:
    `com.sas.storage.editableproperties.UnexpectedSubstitutionException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.